{% load wagtailcore_tags shared_tags %}

{% if paginator.has_previous or paginator.has_next %}
  <div class="pagination-container">
    <nav class="pagination space-x-1">

      {% if paginator.has_previous %}
      <a href="{% if page_url %}{{ page_url }}{% else %}{% pageurl page %}{% endif %}?page={{ paginator.previous_page_number }}{{ extra_query }}" class="btn btn--icon btn--grey-125 btn--hoveractive btn--to-black btn--condensed btn--inverted-icon">
        <div class="btn__body-wrap">
          <div class="btn__body ">Předchozí</div>
          <div class="btn__icon ">
            <i class="ico--chevron-left"></i>
          </div>
        </div>
      </a>
      {% endif %}
      {% get_pagination_range paginator.number paginator.paginator.page_range as pagination_range %}
      {% for i in pagination_range %}
        {% if i == paginator.number %}
        <a href="{% if page_url %}{{ page_url }}{% else %}{% pageurl page %}{% endif %}?page={{ i }}{{ extra_query }}" class="btn btn--grey-500 btn--condensed hidden md:inline-block">
        {% else %}
        <a href="{% if page_url %}{{ page_url }}{% else %}{% pageurl page %}{% endif %}?page={{ i }}{{ extra_query }}" class="btn btn--grey-125 btn--hoveractive btn--to-black btn--condensed hidden md:inline-block">
        {% endif %}
          <div class="btn__body ">{{ i }}</div>
        </a>
      {% endfor %}

      {% if paginator.has_next %}
      <a href="{% if page_url %}{{ page_url }}{% else %}{% pageurl page %}{% endif %}?page={{ paginator.next_page_number }}{{ extra_query }}" class="btn btn--icon btn--grey-125 btn--hoveractive btn--to-black btn--condensed">
        <div class="btn__body-wrap">
          <div class="btn__body ">Další</div>
          <div class="btn__icon ">
            <i class="ico--chevron-right"></i>
          </div>
        </div>
      </a>
      {% endif %}

    </nav>
  </div>
{% endif %}
